%global momorel 1
%global svn_date 20080214

%global use_svn 0
%global real_name plugins-main

Summary:        Compiz Fusion plugin packge for Alternate OpenGL window and compositing manager.
Name:           compiz-fusion-plugins-main
Version:        0.7.6
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release: %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
%if %{use_svn}
Source:         %{real_name}-%{version}-%{svn_date}.tar.bz2
%else
Source0: http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2 
NoSource: 0
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       compiz-core >= 0.7.6
BuildRequires:	compiz-core >= 0.7.6
BuildRequires:	compiz-bcop >= 0.7.6

Provides:       compiz-plugins
Obsoletes:      compiz-plugins

%description
Beryl Project compositing window manager, decorator and theme support
The Beryl Project brings 3D desktop visual effects that improve usability of
the X Window System and provide increased productivity though plugins and themes
contributed by the community giving a rich desktop experience.

%prep
%if %{use_svn}
%setup -q -n %{real_name}
%else
%setup -q -n %{name}-%{version}
%endif

%build

%if %{use_svn}
./autogen.sh
make distclean
%endif

%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

rm -f %{buildroot}/%{_libdir}/compiz/*.{la,a}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# %post
# /usr/bin/gconftool-2 --shutdown
# export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
# /usr/bin/gconftool-2 --makefile-install-rule \
#                 %{_sysconfdir}/gconf/schemas/compiz-*.schemas > /dev/null

# %preun
# export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
# gconftool-2 --makefile-uninstall-rule \
#                 %{_sysconfdir}/gconf/schemas/compiz-*.schemas > /dev/null

%files
%defattr(-,root,root)
%{_includedir}/compiz/*.h
%{_libdir}/compiz/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/compiz/*
%{_datadir}/compiz/filters/*
%{_datadir}/locale/*/LC_MESSAGES/compiz-fusion-plugins-main.mo
# %{_sysconfdir}/gconf/schemas/compiz-*.schema

%changelog
* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Sun Apr  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.4-1m)
- update 0.7.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.2-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.99-0.20080214.1m)
- update 0.6.99-20080214

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-2m)
- %%NoSource -> NoSource

* Sun Oct 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0-release

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-0.1m)
- update 0.6.0-test

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Wed Aug  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.1m)
- update 20070801
-- merged japanese translation

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.2m)
- add Japanese Translation

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.1m)
- update 20070729

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070630.1m)
- update 20070630

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070616.1m)
- update 20070616

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070603.1m)
- update 20070603

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.1m)
- update 20070524

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070518.2m)
- install schemas

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070518.1m)
- initial commit

